### Name: sdda
### Title: Stepwise Diagonal Discriminant Analysis
### Aliases: sdda
### Keywords: models multivariate

### ** Examples

  data(iris)
  Y <- iris[,5]
  noise <- matrix(rnorm(50*nrow(iris)),nrow=nrow(iris))
  colnames(noise) = paste("noise",1:ncol(noise),sep="")
  X <- cbind(as.matrix(iris[,1:4]),noise)
  dim(X)

  s1 <- sdda(X,Y)

  which.genes(s1)
  plotdiag(s1)
  summary(s1)
  
  ## Probabilities for each class
  predict(s1,newdata=X,type="prob")
  rs <- predict(s1,X)
  table(Y,rs)

  ## Leave-one-out crossvalidation
  xv <- xvalidate(X,Y,trace=TRUE)
  table(Y,xv)



